Bug 1159298 - Installation of host, should start the glusterpmd service if monitoring is enabled
Summary: Installation of host, should start the glusterpmd service if monitoring is en...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: ovirt-host-deploy
Classification: oVirt
Component: Plugins.Gluster
Version: 1.2.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ---
: ---
Assignee: Alon Bar-Lev
QA Contact: SATHEESARAN
URL:
Whiteboard: gluster
Depends On:
Blocks: 1138108 1167214
TreeView+ depends on / blocked
 
Reported: 2014-10-31 12:19 UTC by Alon Bar-Lev
Modified: 2016-02-10 18:58 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1138198
Environment:
Last Closed: 2014-11-19 06:12:59 UTC
oVirt Team: Gluster
alonbl: devel_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1922 normal SHIPPED_LIVE ovirt-host-deploy bug fix and enhancements update 2014-12-02 14:29:12 UTC
oVirt gerrit 32456 None None None Never
oVirt gerrit 34697 ovirt-host-deploy-1.2 MERGED gluster: Plugin under gluster for glusterpmd configuration. Never

Description Alon Bar-Lev 2014-10-31 12:19:25 UTC
+++ This bug was initially created as a clone of Bug #1138198 +++

+++ This bug was initially created as a clone of Bug #1138108 +++

Description of problem:

When monitoring via Nagios is enabled, the host installation flow should make sure that the glusterpmd service is running on the newly added host. (Similar to the nrpe configuration that takes place on the host)


Version-Release number of selected component (if applicable):


How reproducible:
Always



Actual results:
Currently, glusterpmd service needs to be started manually on the host. This service monitors the gluster related processes and sends notification to Nagios server.

Expected results:
Service is started automatically.

Additional info:

--- Additional comment from Alon Bar-Lev on 2014-09-04 05:56:37 EDT ---

what is the action item?

--- Additional comment from Darshan on 2014-09-04 06:12:49 EDT ---

(In reply to Alon Bar-Lev from comment #1)
> what is the action item?

having a plugin under gluster which would start the glusterpmd service if monitoring is enabled.

--- Additional comment from Itamar Heim on 2014-09-07 04:01:19 EDT ---

sahina - please set target release

--- Additional comment from Sandro Bonazzola on 2014-10-17 08:23:20 EDT ---

oVirt 3.5 has been released and should include the fix for this issue.

Comment 1 Sahina Bose 2014-11-03 09:10:19 UTC
This bug is not relevant for RHEV-M as the monitoring via Nagios is not enabled for RHS nodes here unlike in RHSC (RHSC ships Nagios and asks if monitoring needs to be enabled during setup)

Verification of glusterpmd auto-start during host-deploy will not be possible in RHEV-M.

Comment 4 SATHEESARAN 2014-11-18 07:24:53 UTC
This bug could be closed based on comment1

Comment 5 Sahina Bose 2014-11-19 06:12:59 UTC
Closing this, as cannot be verified in RHEV-M.
Please change reason as appropriate if needed.


Note You need to log in before you can comment on or make changes to this bug.